create PROCEDURE [dbo].[SP_MANIFEST_CREATION_backup_2015_03_27]
@RCVPLANTCODE char(1),
@PROCESS_ID varchar(12),
@MESSAGE_ID VARCHAR(20),
@MESSAGE_TYPE VARCHAR(3),
@LOCATION VARCHAR(100),
@SEQ_NO_LOG BIGINT,
@LAST_SEQ_NO_LOG BIGINT OUTPUT,
@PO_RESULT_STATUS INT OUTPUT,
@PO_RETURN_CODE varchar(8000) OUTPUT 
AS
BEGIN
DECLARE @TODAY VARCHAR(8),
@LAST_MANIFEST_NO NUMERIC(10, 0),
--@LAST_SEQ_NO_LOG BIGINT,
@MESSAGE VARCHAR(2000)
BEGIN TRY
SET @LAST_SEQ_NO_LOG=@SEQ_NO_LOG+1
SET @MESSAGE='Insert into TB_T_DAILY_ORDER_MANIFEST'
PRINT @MESSAGE
EXEC dbo.SPInsertLogDetail @PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @LAST_SEQ_NO_LOG;

-->GET DATE STRING
SELECT @TODAY = CONVERT(VARCHAR(8), GETDATE(), 112) 
--< GET DATE STRING
Set @LAST_MANIFEST_NO = dbo.fn_getmanifestno(@RCVPLANTCODE)
--SELECT 
--@LAST_MANIFEST_NO = MAX(MANIFEST_NO) 
--FROM 
--TB_T_DAILY_ORDER_MANIFEST M 
--WHERE 
--MANIFEST_NO like @RCVPLANTCODE + RIGHT(Convert(VARCHAR,YEAR(GETDATE())),2) + '%'
--select @LAST_MANIFEST_NO/0
print 'Last MANIFEST_NO='+cast(@LAST_MANIFEST_NO as varchar(1000))
print 'Insert into TB_T_DAILY_ORDER_MANIFEST'
INSERT INTO 
TB_T_DAILY_ORDER_MANIFEST
(
 ORDER_NO
, MANIFEST_NO
, SUPPLIER_CD
, SUPPLIER_PLANT
, ORDER_TYPE
, ORDER_RELEASE_DT
, COMPANY_CD
, RCV_PLANT_CD
, DOCK_CD
, CAR_FAMILY_CD
, RE_EXPORT_CD
, P_LANE_CD
, P_LANE_SEQ
, ARRIVAL_PLAN_DT
, TOTAL_ITEM
, TOTAL_QTY
, PO_NO
, SHIPPING_DOCK
, SHIPPING_DT
, ICS_FLAG
, ICS_DT
, CREATED_BY
, CREATED_DT
, MANIFEST_PRINT_POINT_CD
, MANIFEST_PRINT_DATE_PLANT
, MANIFEST_PRINT_DATE_LOCAL
, P_LANE_DT
, SUB_ROUTE_CD
, SUB_ROUTE_SEQ
, SUB_ROUTE_DT
, FST_X_DOC_CD
, FST_X_PLANT_CD
, FST_X_SHIPPING_DOCK_CD
, FST_X_DOCK_ARRIVAL_DT
, FST_X_DOCK_DEPART_DT
, FST_X_DOCK_ROUTE_GRP_CD
, FST_X_DOCK_SEQ_NO
, FST_X_ROUTE_DT
, SND_X_DOC_CD
, SND_X_PLANT_CD
, SND_X_SHIPPING_DOCK_CD
, SND_X_DOCK_ARRIVAL_DT
, SND_X_DOCK_DEPART_DT
, SND_X_DOCK_ROUTE_GRP_CD
, SND_X_DOCK_SEQ_NO
, SND_X_ROUTE_DT
, TRD_X_DOC_CD
, TRD_X_PLANT_CD
, TRD_X_SHIPPING_DOCK_CD
, TRD_X_DOCK_ARRIVAL_DT
, TRD_X_DOCK_DEPART_DT
, TRD_X_DOCK_ROUTE_GRP_CD
, TRD_X_DOCK_SEQ_NO
, TRD_X_ROUTE_DT
, CANCEL_FLAG
, MANIFEST_RECEIVE_FLAG
, PROBLEM_FLAG
, FTP_FLAG
)
SELECT DISTINCT
  M.ORDER_NO
, M.MANIFEST_NO
, M.SUPPLIER_CODE
, M.SUPPLIER_PLANT
, M.ORDER_TYPE
, CONVERT(DATETIME, LEFT(M.ORDER_RELEASE_DATE, 4) + '-' + SUBSTRING(M.ORDER_RELEASE_DATE, 5, 2) + '-' + SUBSTRING(M.ORDER_RELEASE_DATE, 7, 2)) 
, P.COMPANY_CODE
, M.RCV_PLANT_CODE
, M.[DOCK_CODE]
, CASE WHEN CAR_FAMILY_CODE = '' THEN NULL ELSE CAR_FAMILY_CODE END
, CASE WHEN RE_EXPORT_CODE = ''  THEN NULL ELSE RE_EXPORT_CODE  END
, M.[MR_GRP_CODE] ROUTE
, M.[MR_ORDER_SEQ] RATE
, CONVERT(DATETIME, LEFT(M.ARRIVAL_DATE, 4) + '-' + SUBSTRING(M.ARRIVAL_DATE, 5, 2) + '-' + SUBSTRING(M.ARRIVAL_DATE, 7, 2) + ' ' + SUBSTRING(M.ARRIVAL_DATE, 9, 2) + ':' + SUBSTRING(M.ARRIVAL_DATE, 11, 2))
, M.TOTAL_ITEM
, M.TOTAL_QTY
, ''
, P.SHIPPING_DOCK
, CONVERT(DATETIME, LEFT(SHIPPING_DATE, 4) + '-' + SUBSTRING(SHIPPING_DATE, 5, 2) + '-' + SUBSTRING(SHIPPING_DATE, 7, 2) + ' ' + SUBSTRING(SHIPPING_DATE, 9, 2) + ':' + SUBSTRING(SHIPPING_DATE, 11, 2))
, 0
, NULL
, 'AGENT'
, @TODAY
, P.MANIFEST_PRN_POINT_CODE
, CASE 
WHEN MANIFEST_PRN_DATE_PLANT <> ''
THEN CONVERT(DATETIME, LEFT(MANIFEST_PRN_DATE_PLANT, 4) + '-' + SUBSTRING(MANIFEST_PRN_DATE_PLANT, 5, 2) + '-' + SUBSTRING(MANIFEST_PRN_DATE_PLANT, 7, 2) + ' ' + SUBSTRING(MANIFEST_PRN_DATE_PLANT, 9, 2) + ':' + SUBSTRING(MANIFEST_PRN_DATE_PLANT, 11, 2))
  END AS MANIFEST_PRN_DATE_PLANT
,MANIFEST_PRN_DATE_LOCAL = CASE 
WHEN MANIFEST_PRN_DATE_LOCAL <> ''
THEN CONVERT(DATETIME, LEFT(MANIFEST_PRN_DATE_LOCAL, 4) + '-' + SUBSTRING(MANIFEST_PRN_DATE_LOCAL, 5, 2) + '-' + SUBSTRING(MANIFEST_PRN_DATE_LOCAL, 7, 2) + ' ' + SUBSTRING(MANIFEST_PRN_DATE_LOCAL, 9, 2) + ':' + SUBSTRING(MANIFEST_PRN_DATE_LOCAL, 11, 2))
END
,DBO.FORMATDATETIME(LEFT(KNBN_PRN_DATE_PLANT, 4) + RTRIM([MR_DATE]))
,P.SR_GRP_CODE
,P.SR_SEQ
--,P.SR_DATE
,DBO.FORMATDATETIME(LEFT(KNBN_PRN_DATE_PLANT, 4) + RTRIM([SR_DATE]))
,P.FRST_X_DOC_CODE
,P.FST_X_PLANT_CODE
,P.FST_X_SHIPPING_DOCK_CODE
,CASE 
WHEN FST_X_DOCK_ARRIVAL_DATE <> ''
THEN CONVERT(DATETIME, LEFT(FST_X_DOCK_ARRIVAL_DATE, 4) + '-' + SUBSTRING(FST_X_DOCK_ARRIVAL_DATE, 5, 2) + '-' + SUBSTRING(FST_X_DOCK_ARRIVAL_DATE, 7, 2) + ' ' + SUBSTRING(FST_X_DOCK_ARRIVAL_DATE, 9, 2) + ':' + SUBSTRING(FST_X_DOCK_ARRIVAL_DATE, 11, 2))
END
,CASE 
WHEN FST_X_DOCK_DEPART_DATE <> ''
THEN CONVERT(DATETIME, LEFT(FST_X_DOCK_DEPART_DATE, 4) + '-' + SUBSTRING(FST_X_DOCK_DEPART_DATE, 5, 2) + '-' + SUBSTRING(FST_X_DOCK_DEPART_DATE, 7, 2) + ' ' + SUBSTRING(FST_X_DOCK_DEPART_DATE, 9, 2) + ':' + SUBSTRING(FST_X_DOCK_DEPART_DATE, 11, 2))
END
,P.FST_X_DOCK_ROUTE_GRP_CODE
,P.FST_X_DOCK_SEQ_NO
,P.FST_ROUTE_DATE
,CASE 
WHEN SND_X_DOC_CODE = ''
THEN NULL
ELSE SND_X_DOC_CODE
END
,CASE 
WHEN SND_X_PLANT_CODE = ''
THEN NULL
ELSE SND_X_PLANT_CODE
END
,CASE 
WHEN SND_X_SHIPPING_DOCK_CODE = ''
THEN NULL
ELSE SND_X_SHIPPING_DOCK_CODE
END
,CASE 
WHEN SND_X_DOCK_ARRIVAL_DATE <> ''
THEN CONVERT(DATETIME, LEFT(SND_X_DOCK_ARRIVAL_DATE, 4) + '-' + SUBSTRING(SND_X_DOCK_ARRIVAL_DATE, 5, 2) + '-' + SUBSTRING(SND_X_DOCK_ARRIVAL_DATE, 7, 2) + ' ' + SUBSTRING(SND_X_DOCK_ARRIVAL_DATE, 9, 2) + ':' + SUBSTRING(SND_X_DOCK_ARRIVAL_DATE, 11, 2))
END
,CASE 
WHEN SND_X_DOCK_DEPART_DATE <> ''
THEN CONVERT(DATETIME, LEFT(SND_X_DOCK_DEPART_DATE, 4) + '-' + SUBSTRING(SND_X_DOCK_DEPART_DATE, 5, 2) + '-' + SUBSTRING(SND_X_DOCK_DEPART_DATE, 7, 2) + ' ' + SUBSTRING(SND_X_DOCK_DEPART_DATE, 9, 2) + ':' + SUBSTRING(SND_X_DOCK_DEPART_DATE, 11, 2))
END
,CASE 
WHEN SND_X_DOCK_ROUTE_GRP_CODE = ''
THEN NULL
ELSE SND_X_DOCK_ROUTE_GRP_CODE
END
,CASE 
WHEN [SND_X_DOCK_SEQ_NO] = ''
THEN NULL
ELSE [SND_X_DOCK_SEQ_NO]
END
,CASE 
WHEN SND_ROUTE_DATE = ''
THEN NULL
ELSE SND_ROUTE_DATE
END
,CASE 
WHEN TRD_X_DOC_CODE = ''
THEN NULL
ELSE TRD_X_DOC_CODE
END
,CASE 
WHEN TRD_X_PLANT_CODE = ''
THEN NULL
ELSE TRD_X_PLANT_CODE
END
,CASE 
WHEN TRD_X_SHIPPING_DOCK_CODE = ''
THEN NULL
ELSE TRD_X_SHIPPING_DOCK_CODE
END
,CASE 
WHEN TRD_X_DOCK_ARRIVAL_DATE <> ''
THEN CONVERT(DATETIME, LEFT(TRD_X_DOCK_ARRIVAL_DATE, 4) + '-' + SUBSTRING(TRD_X_DOCK_ARRIVAL_DATE, 5, 2) + '-' + SUBSTRING(TRD_X_DOCK_ARRIVAL_DATE, 7, 2) + ' ' + SUBSTRING(TRD_X_DOCK_ARRIVAL_DATE, 9, 2) + ':' + SUBSTRING(TRD_X_DOCK_ARRIVAL_DATE, 11, 2))
END
,CASE 
WHEN TRD_X_DOCK_DEPART_DATE <> ''
THEN CONVERT(DATETIME, LEFT(TRD_X_DOCK_DEPART_DATE, 4) + '-' + SUBSTRING(TRD_X_DOCK_DEPART_DATE, 5, 2) + '-' + SUBSTRING(TRD_X_DOCK_DEPART_DATE, 7, 2) + ' ' + SUBSTRING(TRD_X_DOCK_DEPART_DATE, 9, 2) + ':' + SUBSTRING(TRD_X_DOCK_DEPART_DATE, 11, 2))
END
,CASE 
WHEN TRD_X_DOCK_ROUTE_GRP_CODE = ''
THEN NULL
ELSE TRD_X_DOCK_ROUTE_GRP_CODE
END
,CASE 
WHEN TRD_ROUTE_DATE = ''
THEN NULL
ELSE TRD_ROUTE_DATE
END
,P.TRD_ROUTE_DATE
,0
,0
,0
-- changed fid.deny 6 march 2015, value always 0
--,CASE WHEN @RCVPLANTCODE IN ( '0','1' )THEN 'X' ELSE '0' END
,0
FROM
(
SELECT
@LAST_MANIFEST_NO + ROW_NUMBER() OVER (
partition by 
RCV_PLANT_CODE
order by 
 RCV_PLANT_CODE
) AS MANIFEST_NO
,*
FROM TV_T_ORDERPLAN_TEMP_NONKCI_MANIFEST_GROUP
WHERE [RCV_PLANT_CODE]=@RCVPLANTCODE --aslinya RCV_PLANT_CODE 
) AS M
LEFT JOIN
TB_T_ORDERPLAN_TMP_NON_KCI P
ON M.ORDER_NO = P.ORDER_NO
AND M.SUPPLIER_CODE = P.SUPPLIER_CODE
AND M.[MR_GRP_CODE]=P.MR_GRP_CODE
AND M.[MR_ORDER_SEQ]=P.MR_ORDER_SEQ
--AND M.RATE = P.MR_ORDER_SEQ
AND M.[ARRIVAL_DATE]=P.ARRIVAL_DATE
--AND M.ARRIVAL_PLAN_DT = P.ARRIVAL_DATE
AND M.[RCV_PLANT_CODE] = P.RCV_PLANT_CODE
AND M.SUPPLIER_PLANT = P.SUPPLIER_PLANT
AND M.[DOCK_CODE] = P.DOCK_CODE

--< INSERT TB_T_DAILY_ORDER_MANIFEST BULK INSERT


--> INSERT INTO TB_T_DAILY_ORDER_PART BULK INSERT
SET @LAST_SEQ_NO_LOG=@LAST_SEQ_NO_LOG+1
SET @MESSAGE='Insert into TB_T_DAILY_ORDER_PART'
PRINT @MESSAGE
EXEC dbo.SPInsertLogDetail @PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @LAST_SEQ_NO_LOG;

print 'insert TB_T_DAILY_ORDER_PART'
INSERT INTO TB_T_DAILY_ORDER_PART (
 ITEM_NO
,MANIFEST_NO
,DOCK_CD
,PART_NO
,PART_NAME
,ORDER_QTY
,ORDER_PLAN_QTY_LOT
,RECEIVED_STATUS
,BUILD_OUT_FLAG
,BUILD_OUT_QTY
,AICO_CEPT_FLAG
,FERRY_PORT_ARRIVAL_DT
,FERRY_PORT_DEPART_DT
,SUPPLIER_PLANT
,RCV_PLANT_CD
,SUPPLIER_NAME
,ORDER_MODE
,KANBAN_PRINT_POINT_CD
,KANBAN_PRINT_DATE_PLANT
,KANBAN_PRINT_DATE_LOCAL
,KANBAN_PRINT_ADDRESS
,KANBAN_NO
,QTY_PER_CONTAINER
,PACKAGE_TYPE
,RECEIVE_PLANT_NAME
,SUPPLIER_INFO1
,SUPPLIER_INFO2
,SUPPLIER_INFO3
,PRINT_CD
,CONVEYANCE_ROUTE
,CREATED_BY
,CREATED_DT
)
SELECT
ROW_NUMBER() OVER (
PARTITION BY man.MANIFEST_NO 
ORDER BY man.MANIFEST_NO
,nkci.KNBN_NO
,nkci.PART_NO
,nkci.KNBN_PRN_ADDRESS
)
,man.MANIFEST_NO
,nkci.DOCK_CODE
,nkci.PART_NO
,nkci.PARTS_NAME
,nkci.ORDER_PLAN_QTY
,nkci.ORDER_PLAN_QTY_LOT
,RECEIVED_STATUS = 0
,BUILD_OUT_FLAG=(CASE WHEN nkci.BUILD_OUT_FLAG='' THEN NULL ELSE nkci.BUILD_OUT_FLAG END)
,BUILD_OUT_QTY=(CASE WHEN nkci.BUILD_OUT_QTY='' THEN NULL ELSE nkci.BUILD_OUT_QTY END)
,nkci.AICO_CEPT_FLAG
,nkci.FERRY_PORT_ARRIVAL_DATE
,nkci.FERRY_PORT_DEPART_DATE
,nkci.SUPPLIER_PLANT
,nkci.RCV_PLANT_CODE
,nkci.SUPPLIER_NAME
,nkci.ORDER_MODE
,nkci.KNBN_PRN_POINT_CODE
,convert(datetime, 
SUBSTRING(nkci.KNBN_PRN_DATE_PLANT, 1, 4) + '-' +
SUBSTRING(nkci.KNBN_PRN_DATE_PLANT, 5, 2) + '-' +
SUBSTRING(nkci.KNBN_PRN_DATE_PLANT, 7, 2) + ' ' +
SUBSTRING(nkci.KNBN_PRN_DATE_PLANT, 9, 2) + ':' +
SUBSTRING(nkci.KNBN_PRN_DATE_PLANT, 11, 2) + ':00' , 120)
,CONVERT(DATETIME, LEFT(nkci.KNBN_PRN_DATE_LOCAL, 4) + '-' + SUBSTRING(nkci.KNBN_PRN_DATE_LOCAL, 5, 2) + '-' + SUBSTRING(nkci.KNBN_PRN_DATE_LOCAL, 7, 2) + ' ' + SUBSTRING(nkci.KNBN_PRN_DATE_LOCAL, 9, 2) + ':' + SUBSTRING(nkci.KNBN_PRN_DATE_LOCAL, 11, 2))
,nkci.KNBN_PRN_ADDRESS
,nkci.KNBN_NO
,nkci.QTY_PER_CONTAINER
,SP.PCK_TYPE
,P.PLANT_NM
,SI.SP_INFO1
,SI.SP_INFO2
,SI.SP_INFO3
,SI.PRINT_CD
,nkci.CONVEYANCE_ROUTE
,CREATED_BY = 'AGENT'
,CREATED_DT = GETDATE()
FROM TB_T_ORDERPLAN_TMP_NON_KCI nkci
LEFT JOIN TB_T_DAILY_ORDER_MANIFEST man
on
nkci.SUPPLIER_CODE = man.SUPPLIER_CD AND
nkci.SUPPLIER_PLANT= man.SUPPLIER_PLANT AND
nkci.SHIPPING_DOCK = man.SHIPPING_DOCK AND
nkci.COMPANY_CODE = man.COMPANY_CD AND
nkci.RCV_PLANT_CODE = man.RCV_PLANT_CD AND
nkci.DOCK_CODE = man.DOCK_CD AND
nkci.ORDER_NO = man.ORDER_NO
LEFT JOIN TB_M_PLANT P ON nkci.RCV_PLANT_CODE = P.PLANT_CD
LEFT JOIN TB_M_PART_INFO SP ON SP.SUPPLIER_CD = nkci.SUPPLIER_CODE
AND SP.SUPPLIER_PLANT = nkci.SUPPLIER_PLANT
AND SP.DOCK_CD = nkci.DOCK_CODE
AND SP.PART_NO = nkci.PART_NO 
LEFT JOIN TB_M_SUPPLIER_INFO SI
ON nkci.SUPPLIER_CODE = SI.SUPPLIER_CD
AND nkci.SUPPLIER_PLANT = SI.SUPPLIER_PLANT_CD
AND nkci.PART_NO = SI.PART_NO
AND nkci.DOCK_CODE = SI.DOCK_CODE

--< INSERT INTO TB_T_DAILY_ORDER_PART BULK INSERT

--------- PATTERN 3 ---------------
SET @LAST_SEQ_NO_LOG=@LAST_SEQ_NO_LOG+1
SET @MESSAGE='Update patern 3 TB_T_DAILY_ORDER_MANIFEST'
PRINT @MESSAGE
EXEC dbo.SPInsertLogDetail @PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @LAST_SEQ_NO_LOG;


UPDATE TB_T_DAILY_ORDER_MANIFEST 
SET 
PAT_DP_FLAG = '1', 
PAT_PL_FLAG = '1'
WHERE  ISNULL(SND_X_DOC_CD,'') <> ''
   AND   ISNULL(PAT_DP_FLAG,'') = ''
   AND   ISNULL(PAT_PL_FLAG,'') = ''
   AND   MANIFEST_RECEIVE_FLAG = 0
   AND CREATED_DT=@TODAY AND ORDER_TYPE='1' AND RCV_PLANT_CD=@RcvPlantCode --AND
--SUPPLIER_CD=@SUPPLIER_CD_WEB AND
--SUPPLIER_PLANT=@SUPPLIER_PLANT_WEB

--------- PATTERN 1 ---------------
SET @LAST_SEQ_NO_LOG=@LAST_SEQ_NO_LOG+1
SET @MESSAGE='Update patern 1 TB_T_DAILY_ORDER_MANIFEST'
PRINT @MESSAGE
EXEC dbo.SPInsertLogDetail @PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @LAST_SEQ_NO_LOG;

UPDATE TB_T_DAILY_ORDER_MANIFEST 
SET 
PAT_DP_FLAG = '0', 
PAT_PL_FLAG = '0'
WHERE ISNULL(FST_X_DOC_CD,'') = ''
   AND   ISNULL(PAT_DP_FLAG,'') = ''
   AND   ISNULL(PAT_PL_FLAG,'') = ''
   AND   MANIFEST_RECEIVE_FLAG = 0
       AND CREATED_DT=@TODAY AND ORDER_TYPE='1' AND RCV_PLANT_CD=@RcvPlantCode --AND
--SUPPLIER_CD=@SUPPLIER_CD_WEB AND
--SUPPLIER_PLANT=@SUPPLIER_PLANT_WEB

-- pattern 2 & 4 temp remark because need master util table

--------- PATTERN 2 & 4 ---------------
SET @LAST_SEQ_NO_LOG=@LAST_SEQ_NO_LOG+1
SET @MESSAGE='Update patern  2 DAN 4 TB_T_DAILY_ORDER_MANIFEST'
PRINT @MESSAGE
EXEC dbo.SPInsertLogDetail @PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @LAST_SEQ_NO_LOG;

UPDATE TB_T_DAILY_ORDER_MANIFEST
SET 
TB_T_DAILY_ORDER_MANIFEST.PAT_DP_FLAG = 
CASE PL.PAT_PL_FLAG 
WHEN '0' THEN '1'
WHEN '1' THEN '0'
END, 
TB_T_DAILY_ORDER_MANIFEST.PAT_PL_FLAG = PL.PAT_PL_FLAG
FROM (
SELECT  x.MANIFEST_NO,
PAT_PL_FLAG=ISNULL(y.PAT_PL_FLAG,'0')
FROM
TB_T_DAILY_ORDER_MANIFEST X WITH(NOLOCK)
LEFT OUTER JOIN TB_M_UTIL_PLANE Y WITH(NOLOCK)
ON X.SUPPLIER_CD = Y.SUPPLIER_CD 
AND X.SUPPLIER_PLANT = Y.SUPPLIER_PLANT 
AND ISNULL(X.SHIPPING_DOCK,'*') = ISNULL(Y.SHIPPING_DOCK,'*') 
AND X.RCV_PLANT_CD = Y.RCV_PLANT_CD 
AND X.DOCK_CD = Y.DOCK_CD
) PL 
WHERE TB_T_DAILY_ORDER_MANIFEST.MANIFEST_NO = PL.MANIFEST_NO
and   TB_T_DAILY_ORDER_MANIFEST.MANIFEST_RECEIVE_FLAG = 0
and   ISNULL(TB_T_DAILY_ORDER_MANIFEST.FST_X_DOC_CD,'') <> ''
AND  ISNULL(TB_T_DAILY_ORDER_MANIFEST.SND_X_DOC_CD,'') = ''
AND   ISNULL(TB_T_DAILY_ORDER_MANIFEST.PAT_DP_FLAG,'') = ''
AND   ISNULL(TB_T_DAILY_ORDER_MANIFEST.PAT_PL_FLAG,'') = ''
AND TB_T_DAILY_ORDER_MANIFEST.CREATED_DT=@TODAY 
AND TB_T_DAILY_ORDER_MANIFEST.ORDER_TYPE='1' 
AND TB_T_DAILY_ORDER_MANIFEST.RCV_PLANT_CD=@RcvPlantCode 
--AND TB_T_DAILY_ORDER_MANIFEST.SUPPLIER_CD=@SUPPLIER_CD_WEB 
--AND TB_T_DAILY_ORDER_MANIFEST.SUPPLIER_PLANT=@SUPPLIER_PLANT_WEB
--------- PATTERN 2 & 4 ---------------
END TRY
BEGIN CATCH
SET @PO_RESULT_STATUS=1
set @PO_RETURN_CODE=ERROR_MESSAGE()+',error number='+CAST (ERROR_NUMBER() AS VARCHAR(100))+', Error Line='+CAST(ERROR_LINE() AS VARCHAR(100))+', Error State='+CAST (ERROR_STATE() AS VARCHAR(1000))
END CATCH
END

--EXEC A 'TB_T_ORDERPLAN_TMP_KCI'

